2006-03-20  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* GBibtex.C: Move parsing of Options (stylefile, bibtotoc)
	to the controller (bug 2322).

2006-03-10  Martin Vermeer  <martin.vermeer@hut.fi>

	* GChanges.C: fix bug 2212: First change is skipped in
	"Merge changes..." dialog

2006-02-20  John Spray  <spray@lyx.org>
	* glade/documents.glade: change "page style" to "page numbering"
	  in UI.

2006-02-20  Bartek Kostrzewa  <bartek@runbox.com>
	* LyXGdkImage.C: support grayscale and monochrome

2006-02-17  John Spray  <spray@lyx.org>
	* GPreferences.[Ch], glade/preferences.glade: Add spellchecker 
	  options to gtk preferences dialog

2006-02-16  John Spray  <spray@lyx.org>
	* GCitation.C: Add selected keys to the list, even if they're 
	  in the list of bibkeys.
	* GViewBase.C: Put update() back into show(), it was still 
	  needed by some dialogs.  More investigation needed.
	* GTableCreate.C: Fix rows and columns being switched
	* GMenubar.C: Escape underscores in menu labels
	* GWrap.C: Cope with empty placement string for default placement

2006-02-14  John Spray  <spray@lyx.org>
	* GPainter.[Ch], xftFontMetrics.C: Remove broken multibyte 
	  text rendering stuff, make single-byte work properly.
		Now I can type Schrödinger.
	* codeConvert.h, Makefile.am: Remove codeConvert.h, it's 
	  no longer used.
	* GWorkArea.C: fix copy and paste text encoding.  Now 
	  I can copy and paste Schrödinger.
	* GMenubar.C, GToolbar.C, GPainter.C: dodgy text encoding 
	  conversions are marked with comments.  grep for ENCODING.
	* GViewBase.C: no longer call update() in show(), fixes 
	  update getting called twice when opening dialog.

2006-02-13  John Spray  <spray@lyx.org>
	* ghelpers.C: implement Gtk::IconTheme stuff for getting 
	  lots more icons from the theme.
	* GPreferences.C: append arbitrary size to font strings
	  when passing to gtk font button, to prevent it from 
	  mangling some more complicated font names.
	* lyx_gui.C: use Gtk::Main instead of while() loop: 
	  fix eating CPU even when idle
	* GPainter.[Ch]: some futile attempts to make painting
	  faster by diminishing function overhead.

2006-02-12  John Spray  <spray@lyx.org>
	* GMenubar.C: assume backend strings in latin1 (bug 1954)
	* GDocument.C, GtkLengthEntry.C: replace comboBoxTextSet with
	  Gtk::ComboBoxText::set_active_text
	* ghelpers.[Ch]: remove comboBoxTextSet, rearrange GTK icon
	  lookup code in preparation for using icon themes.
	* GMenubar.C, GToolbar.C: use the new icon lookup function

2006-02-12  Bartek Kostrzewa  <bartek@runbox.com>
	* GMenubar.C: Fix crash with navigation submenus

2006-02-09  John Spray  <spray@lyx.org>
	* GPreferences.[Ch], glade/preferences.glade: Add language tab

2006-02-07  John Spray  <spray@lyx.org>

	* GCitation.[Ch]: Allow adding items by double clicking
	* GPreferences.[Ch], glade/preferences.glade: Make font options 
	  apply properly, add graphics and keyboard options.

2006-02-06  John Spray  <spray@lyx.org>

	* GGraphics.[Ch], glade/graphics.glade: Use GtkLengthEntry, touch up glade
	* GDocument.[Ch], glade/document.glade: Only Bullet options left to do
	* GBibtex.[Ch], glade/bibtex.glade: Implement bibtex dialog
	* ghelpers.[Ch], GtkLengthEntry.[Ch]: Move some old stuff out of
	  ghelpers into GtkLengthEntry
	* GAboutlyx.[Ch], glade/aboutlyx.glade: Sexy new about dialog

2006-02-05  John Spray  <spray@lyx.org>

	* GPreferences.[Ch], glade/preferences.glade: Start work on 
	  preferences dialog ("Screen fonts" tab done).
	* GtkLengthEntry.C: fix packing, oversized units box
	* GVSpace.[Ch], GDocument.[Ch], glade/document.glade, glade/vspace.glade:
	  Use GtkLengthEntry

2006-01-28  John Spray  <spray@lyx.org>

	* GtkLengthEntry.[Ch]: implement signal_changed, setup spin limits
	* GWrap.[Ch], glade/wrap.glade: Add Wrap dialog
	* GDocument.[Ch], Dialogs.C: Implemented preamble editing in 
		document dialog.  "dialog-show preamble" will now violate
		an assertion in Dialogs.C.

2006-01-27  Bernhard Reiter  <ockham@gmx.net>

	* GBranch.[Ch], glade/branch.glade: Add the Branches dialog
	* Dialogs.C, Makefile.am, glade/Makefile.am: Use GBranch
	* GCitation.C, glade/citation.glade: Add some shortcuts, 
	  set shortcut targets correctly plus some minor bc().valid() logic

2006-01-25  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* xftFontLoader.C: remove obsolete header

2006-01-24  John Spray <spray@lyx.org>
	* GTabular.[Ch], glade/tabular.glade: Add tabular dialog (incomplete)
	* LyXGtkLengthEntry.[Ch]: Add length entry widget
	* Dialogs.C, Makefile.am, lyx_gui.C: Remove xforms references

2006-01-23  John Spray <spray@lyx.org>

	* LyXGdkImage.[Ch]: replace xforms Image class
	* Makefile.am: build LyXGdkImage
	* GPainter.C: use new Gdk Image class
	* lyx_gui.C: use new Gdk Image class, disable XSynchronize

2006-01-21  John Spray <spray@lyx.org>

	* GBibItem.[Ch], glade/bibitem.glade: Add the bibitem dialog
	* Dialogs.C, Makefile.am, glade/Makefile.am: Use GBibItem
	* GDocument.[Ch], glade/document.glade: Add more functionality
	  to the still-incomplete document dialog.
	* Alert_pimpl.C: Make generic dialogs use the titles LyX gives them
	* GGraphics.C: Default to scaling 100% when no scaling or size is given
	* GMenubar.C: Rename some confusing variables

2006-01-20  Bernhard Reiter  <ockham@gmx.net>

	* GCitation.[Ch], glade/citation.glade: Add the citation dialog
	* Dialogs.C, Makefile.am, glade/Makefile.am: Use GCitation

2005-10-12  Bernhard Reiter  <ockham@gmx.net>

	* The Thesaurus dialog
	* GThesaurus.C, GThesaurus.h, Makefile.am
	* Dialogs.C: moved BC generation to individual if blocks
	* glade/thesaurus.glade, glade/Makefile.am

2005-10-02  Martin Vermeer  <martin.vermeer@hut.fi>

	* GToc.C: fix bug 2038

2005-09-08  Angus Leeming  <leeming@lyx.org>

	* GSpellchecker.C: correct grammar describing invocation of the
	spellchecker.

2005-07-05  John Spray  <spray@lyx.org>
	* GRef.[Ch], glade/ref.glade: Add the reference insertion dialog
	* Dialogs.C, Makefile.am, glade/Makefile.am: Use GRef

2005-07-02  John Spray  <spray@lyx.org>
	* xftFontMetrics.C: Add error checking to call to mbstowcs 
	in font_metrics::width, estimate width for strings that  
	mbstowcs doesn't like.

2005-07-31  John Spray  <spray_john@users.sf.net>
	* GToc.C: unbreak viewing lists other than TOC by storing 
	integer index of entries in Type combobox.

2005-07-28  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* GViewBase.C (show): exit after update if Controller::exitEarly()
	is true. (bug 1950)

2005-07-27  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* GTexInfo.C: Load and display full-path and no-path
	lists correctly (bug 1936)

2005-07-27  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* GToc.C (update, updateContents): Do not compare against 
	translatable strings (bug 1870).
	Someone who can actually compile against gtk should verify this.

2005-07-24  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* GDocument.[Ch], glade/document.glade: remove remaining
	paperpackage bits

2005-07-18  José Matos  <jamatos@fc.up.pt>

	* GDocument.C: new file format, remove support for a4.sty,
	a4wide.sty and a4widemargins.

2005-07-16  José Matos  <jamatos@fc.up.pt>

	* ghelpers.C:
	* GDocument.C: remove setPaperStuff and use a
	single papersize variable.

2005-07-15  José Matos  <jamatos@lyx.org>

	* .cvsignore: add pch.h.gch and pch.h.gch.dep.

2005-07-04  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* GToc.C: consider gui name, not type, when trying to set the
	toc combo (fixes bug 1870).

2005-05-14  Michael Schmitt  <michael.schmitt@teststep.org>

	* Dialogs.C: dialog title "Index" => "Index Entry"
	* GTexinfo.C: dialog title "LaTeX Information" => "TeX Information"

2005-04-25  Angus Leeming  <leeming@lyx.org>

	* GChanges.C:
	* GLog.C:
	* GShowFile.C:
	* GTexinfo.C:
	include <config.h> in .C files, not .h ones.
	add licence blurb.
	protect headers inside preprocessor guards.

2005-03-21  John Spray  <spray_john@users.sf.net>

	* GDocument.[Ch]: add "Page", "Margins", "Language" tabs.

2005-03-20  Alfredo Braunstein  <abraunst@lyx.org>

	* GWorkArea.[Ch] (onScroll, setScrollbarParams): add an adjusting_
	flag to avoid signal reentrance.

2005-03-20  John Spray  <spray_john@users.sf.net>

	* ghelpers.C: use Gtk::Stock::PROPERTIES icon for document
	dialog.

2005-03-10  John Spray  <spray_john@users.sf.net>

	* GGraphics, GVSpace, GBox: update to use new ghelpers functions
	* ghelpers: add getLengthFromWidgets, setWidgetsFromLength,
	comboBoxTextSet, populateUnitCombo.  Remove buildLengthNoRelUnitList.
	* GDocument.[Ch], Makefile.am, Dialogs.C: start work on document
	dialog.

2005-03-04  John Spray  <spray_john@users.sf.net>

	* GToolbar.C: remember existing selection when update()ing
	the layoutbox, in order to cope with document class changes.

2005-01-29  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* GPrint.C (apply): use convert<int, string> to avoid undefined
	reference to convert<int, Glib::ustring>

2005-01-29  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* *.C: make ugly concept check hack work with gcc 3.4 and above
	(fixes bug 1745)
	* GMenubar.C (onSubMenuActivate): use Glib::ustring::npos instead of
	-1
	* GTexinfo.C (onItemActivate): squash compiler warning

2005-01-27  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* Several files: use convert<> instead of atoi,strToXXX and friends

2005-01-10  Angus Leeming  <leeming@lyx.org>

	* ghelpers.C:
	* lyx_gui.C: use support/package.h to provide the paths to the
	various directories used by LyX.

2005-01-06  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* GParagraph.C: drop unused include tostr.h

	* GSpellchecker.C:
	* GPrint.C:
	* GGraphics.C (apply): tostr -> convert

2005-01-04  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* xftFontLoader.C: lyxrc.font_sizes is a string now.

	* lyx_gui.C: change getDVI() to int.

2005-01-04  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* GGraphics.C: more precise checks for the value strings.

2004-12-28  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* GGraphics.C: store all float/double values as strings.

2004-12-19  Angus Leeming  <leeming@lyx.org>

	* lyx_gui.C (start): s/slashify_path/internal_path/

2004-12-19  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* ghelpers.C (getDefaultUnit): add return statement to shut up the
	compiler
	* ghelpers.C (buildLengthNoRelUnitList): use std::string::npos
	instead of -1

2004-12-12  John Spray  <spray_john@users.sourceforge.net>

	* glade/Makefile.am: update to include all current glade
		files.  This fixes "make install" for the gtk frontend.

2004-12-08  John Spray  <spray_john@users.sourceforge.net>

	* FileDialogPrivate.C: use Gtk::FileChooser.set_current_name
		to make suggested filenames work when saving

2004-12-07  John Spray  <spray_john@users.sourceforge.net>

	* glade/: improve layouts, set spinbuttons to display 2
		decimal places where apropriate
	* GSearch.C: focus 'find' entry on update()
	* GParagraph.C: don't require that 'ControlBox' widget
		be an HBox.
	* The Include Dialog:
	  Dialogs.C, Makefile.am, GInclude.[Ch], glade/include.glade

2004-12-05  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* glade/Makefile.am: clean up a bit
	* gimages/Makefile.am (dist_noinst_DATA): ditto

2004-12-02  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* GTableCreate.C: use size_t-like types for cell, row and column
	indices

2004-11-29  John Spray  <spray_john@users.sourceforge.net>

	* GToolbar.C: Make layouts combobox not expand to full height
		of toolbar, it looks more like a combobox this way.

2004-11-26  John Spray  <spray_john@users.sourceforge.net>

	* FileDialogPrivate.[Ch]: use Gtk::FileChooser, add
		filtering.

2004-11-25  John Spray  <spray_john@users.sourceforge.net>

	* GViewBase.h: Fix gcc 3.4 compilation
	* pch.h: added (barebones version to be improved)

2004-11-22  John Spray  <spray_john@users.sourceforge.net>

	* GWorkArea.C: Set small scrolling interval to 3*lineheight
		as opposed to 1*lineheight

2004-11-22  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* GSendto.C: Disable concept checks (see below)

2004-11-21  John Spray  <spray_john@users.sourceforge.net>

	* The Sendto Dialog:
	  Dialogs.C, Makefile.am, GSendto.C, GSendto.h

2004-11-17  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* Disable concept checks with the use of ugly preprocessor stuff
	in several files.

2004-11-15  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* GView.C (hasFocus): new method, always returns true for now

2004-11-15  John Spray  <spray_john@users.sourceforge.net>

	* The VSpace Dialog:
	  Dialogs.C, Makefile.am, GVSpace.C, GVSpace.h
	* The Note Dialog:
	  Dialogs.C, Makefile.am, GNote.C, GNote.h
	* The Float Dialog:
	  Dialogs.C, Makefile.am, GFloat.C, GFloat.h
	* ghelpers.[Ch]: getGTKStockIcon added to choose gtk
		stock icons for FuncRequests, buildLengthNoRelUnitList()
		to get vector of units not containing "%"
	* GToolbar.C: use getGTKStockIcon for toolbutton icons
	* GMenubar.C: add icons to menu items

2004-11-14  John Spray  <spray_john@users.sourceforge.net>

	* The ERT dialog:
	  Dialogs.C, Makefile.am, GERT.C, GERT.h
	* The Box dialog:
	  Dialogs.C, Makefile.am, GBox.C, GBox.h
	* ghelpers.[Ch], GGraphics.[Ch]: new functions unitsComboFromLength
		and getDefaultUnit take functionality that was in GGraphics into
		ghelpers

2004-11-08  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* GToolbar.C (selected): use layoutSelected()

2004-11-05  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* GToolbar.C (selected, clicked):
	* GMenubar.C (onCommandActivate): do not use the verbose argument
	to dispatch

2004-11-04  John Spray  <spray_john@users.sourceforge.net>

	* GWorkArea.C: convert GdkEventButton->state from
		gdk mouse button ids into mouse_button::state
		using gButtonToLyx function

2004-10-23  John Spray  <spray_john@users.sourceforge.net>

	* ghelpers.[Ch]: Add buildLengthUnitList() to get vector of
		available length unit strings
	* The Graphics dialog:
	  Dialogs.C, Makefile.am, GGraphics.C, GGraphics.h

2004-10-11  John Spray  <spray_john@users.sourceforge.net>

	* GWorkArea.C: allow user to scroll only one half workarea height
	off the end of the document, and make the scrollbar and mousewheel
	consistant in this respect.

2004-10-11  John Spray  <spray_john@users.sourceforge.net>

	* The Changes dialog
	* Dialogs.C, Makefile.am, GChanges.C, GChanges.h
	* ControlChanges.[Ch]: make accept() and reject() return bool
	from findNextChange

2004-10-09  John Spray  <spray_john@users.sourceforge.net>

	* The Log dialog
	* Dialogs.C, GLog.C, GLog.h, Makefile.am, glade/log.glade

2004-10-08  John Spray  <spray_john@users.sourceforge.net>

	* The ShowFile dialog
	* Dialogs.C, GShowFile.C, GShowFile.h, Makefile.am
	* The Texinfo dialog
	* Dialogs.C, GTexinfo.C, GTexinfo.h, Makefile.am
	* The ErrorList dialog
	* Dialogs.C, GErrorList.C, GErrorList.h, Makefile.am
	* GViewBase.[Ch]: implement setTitle for gtk windows.

2004-10-06  John Spray  <spray_john@users.sourceforge.net>

	* The Spellchecker dialog
	* Dialogs.C, GSpellchecker.C, GSpellchecker.h, Makefile.am

2004-10-06  John Spray  <spray_john@users.sourceforge.net>

	* GView.C (c-tor): get the layout engine working correctly by
	invoking Gtk::PACK_EXPAND_WIDGET for the main LyX screen.

2004-10-04  John Spray  <spray_john@users.sourceforge.net>

	* The MathsMatrix dialog
	* Dialogs.C, GMathsMatrix.C, GMathsMatrix.h, Makefile.am

2004-10-04  John Spray  <spray_john@users.sourceforge.net>

	* GMenubar.C: use item->submenu() instead of
	getMenu(item->submenuname) where item->submenuname is empty.
	Fixes crash with "Figures" submenu.

2004-10-03  John Spray  <spray_john@users.sourceforge.net>

	* GMenubar.C: add labels in MenuItems to display bindings
	* GLyxKeySym.C: make print() output GTK+ style (Ctrl+N instead
	of C-n)

2004-10-02  John Spray  <spray_john@users.sourceforge.net>

	* The Table of Contents dialog
	* Dialogs.C, GToc.C, GToc.h, Makefile.am

2004-09-29  John Spray  <spray_john@users.sourceforge.net>

	* The Paragraph dialog
	* Dialogs.C, GParagraph.C, GParagraph.h, Makefile.am

2004-09-28  John Spray  <spray_john@users.sourceforge.net>

	* GToolbar.[Ch]: Use ComboBox instead of deprecated Combo for
	GLayoutBox class

2004-09-27  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyx_gui.C (start): change comment
	(start): use for_each instead of explicit loop

	* GWorkArea.h: store shared_ptr in the Maps.

	* GWorkArea.C (~ColorCache): delete
	(getColor): adjust
	(getXftColor): adjust
	(cacheColor): adjust
	(cacheXftColor): adjust
	(clear): simplify

	* GView.C (GView): use show_all() instead of explict loop

	* GMathPanel.C (doBuild): ws change

2004-09-27  John Spray  <spray_john@users.sourceforge.net>

	* The Character dialog
	* Dialogs.C, GCharacter.C, GCharacter.h, Makefile.am, ghelpers.h,
	glade/Makefile.am, glade/character.glade

2004-09-27  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* GXpmBtnTbl.C (construct): use Boost.Assert

	* GToolbar.C (update): make items const

2004-09-27  John Spray  <spray_john@users.sourceforge.net>

	* GBC.C: Don't let the button controller set the label on GTK+
	stock icons
	* GMathPanel.C: resize-friendly packing
	* glade/*.glade: misc tweaks

2004-09-26  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* Reordered and a lot of includes in a lot of files.

2004-09-26  Lars Gullik Bjønnes  <larsbj@gullik.net>
	    John Spray  <spray_john@users.sourceforge.net>

	* Initial move to gtk 2.4.

2004-09-26  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* WS changes.

2004-09-25  John Spray  <spray_john@users.sourceforge.net>

	* GPrint.C: minor fixes to make it compile and work, get rid of
	"Apply"
	* Dialogs.C: move from FormPrint to GPrint
	* Makefile.am: move from FormPrint to GPrint
	* glade/print.glade: rearrange, gtk stock button for Print, get
	rid of "Apply"

2004-09-24  John Spray  <spray_john@users.sourceforge.net>

	* GSearch.[Ch]: new files
	* Dialogs.C: move from formsearch to gsearch
	* Makefile.am: move from formsearch to gsearch, alphabetically
	sort list of libgtk_la_SOURCES
	* glade/search.glade: s/Backwords/Backwards/, accelerator escape
	for close button, gtk stock buttons for find and replace.

2004-09-23  John Spray  <spray_john@users.sourceforge.net>

	* GWorkArea.[Ch]: Add GWorkArea::onScrollWheel to implement
	mouse-wheel scrolling of document

2004-07-24  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* GPainter.C (text): use boost::scoped_array to store the
	temporary wchar_t pointer

	* lyx_gui.C: change "support/std_sstream.h" to <sstream>

2004-07-22  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyx_gui.C (register_socket_callback,unregister_socket_callback):
	implement
	(set_read_callback,remove_read_callback): remove implementation

	* io_callback.[Ch]: new files
	* Makefile.am (libgtk_la_SOURCES): handle them

2004-07-21  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyx_gui.C (register_socket_callback): add stub
	(unregister_socket_callback): add stub

2004-05-26  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* Makefile.am: dont create a separate xforms.lo use he files
	directly when building libgtk instead.

2004-05-19  Angus Leeming  <leeming@lyx.org>

	* Most files: wrap code up inside namespace lyx::frontend.

2004-05-04  Angus Leeming  <leeming@lyx.org>

	* Dialogs.C: Remove "error" dialog identifier.

2004-04-28  Angus Leeming  <leeming@lyx.org>

	* GToolbar.[Ch]: rewrite code to derive from a single Toolbar or
	LayoutBox.

	* GView.C: small changes due to changed Toolbar API.

2004-04-28  Angus Leeming  <leeming@lyx.org>

	* WorkAreaFactory.C (create): No longer passed x, y data.

	* GView.[Ch] (c-tor): no longer passes x, y data to BufferView c-tor.

2004-04-28  Angus Leeming  <leeming@lyx.org>

	* WorkAreaFactory.C (create): pass a LyXView & to GWorkArea c-tor.

	* GWorkArea.[Ch] (c-tor): now receives a LyXView &. Use it instead
	of GView::instance.

	* GView.[Ch] (instance): removed.

2004-04-27  Angus Leeming  <leeming@lyx.org>

	* GView.[Ch]: split the window into 'top', 'left', 'center',
	'right' and 'bottom' boxes.
	(getBox): accessor for a particular box.

	* GMenubar.C (c-tor):
	* GMiniBuffer.C (c-tor):
	* GWorkArea.C (c-tor):
	* GToolbar.C (add): access the correct Box in GView.

	* GToolbar.[Ch] (add, displayToolbar): show only those toolbars that
	are flagged as 'ON'.

2004-04-27  Angus Leeming  <leeming@lyx.org>

	* ghelpers.[Ch]: new files.
	(findGladeFile): search the top_srcdir() as welll as LibFileSearch
	when looking for glade files.

	* Makefile.am: add new files.

	* GAboutlyx.C (doBuild):
	* GMathDelim.C (doBuild):
	* GMathPanel.C (doBuild):
	* GPrint.C (doBuild):
	* GTableCreate.C (doBuild):
	* GText.C (doBuild):
	* GUrl.C (doBuild): use findGladeFile in preference to LibFileSearch.
	Prevents crash when using a not-installed lyx executable.

2004-04-20  Angus Leeming  <leeming@lyx.org>

	* Makefile.am (SUBDIRS): add gimages.

	* gimages/.cvsignore: new file. Ignore Makefile.in, Makefile.

	* gimages/Makefile.am: new file. Add the xpm files to EXTRA_DIST.

	* glade/Makefile.am (GLADE_FILES): replace '*.glade' with the
	names of the individual files.
	'make distdir' Now works when srcdir != builddir.

2004-04-08  Angus Leeming  <leeming@lyx.org>

	* GPainter.C: compile fixes.

2004-04-07  Alfredo Braunstein  <abraunst@lyx.org>

	* GPainter.[Ch]: adjust to changes in Painter.h

2004-04-05  Angus Leeming  <leeming@lyx.org>

	* Dialogs.C (build): set the preferences dialog button policy to
	PreferencesPolicy.

2004-04-05  Angus Leeming  <leeming@lyx.org>

	* GMenubar.C: wrap #warning calls inside #ifdef WITH_WARNINGS blocks.

2004-03-31  Angus Leeming  <leeming@lyx.org>

	* GViewBase.C: remove mention of ControlButtons.h.

	* Makefile.am: remove mention of xforms' Dialogs2.lo, FormBase.lo.

2004-03-31  Angus Leeming  <leeming@lyx.org>

	* Dialogs.C (build): added preamble dialog.

2004-03-31  Angus Leeming  <leeming@lyx.org>

	* Dialogs.C (build): added spellchecker dialog.

2004-03-31  Angus Leeming  <leeming@lyx.org>

	* Dialogs.C (build): added preferences dialog.

2004-03-30  Angus Leeming  <leeming@lyx.org>

	* Dialogs.C (build) added document dialog.

2004-03-28  Angus Leeming  <leeming@lyx.org>

	* Dialogs.C (build): added print dialog.

2004-03-27  Angus Leeming  <leeming@lyx.org>

	* Dialogs.C (build): added box, fidreplace, log, sendto, vspace
	dialogs. Removed latexlog.

	* Makefile.am: associated changes.

2004-03-26  Angus Leeming  <leeming@lyx.org>

	* Makefile.am: ensure that the build can find lyx_forms.h when
	srcdir != builddir.

2004-03-26  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* GLyXKeySym.C (print): new method; print a keysym using
	kb_keymap::printKeySym (should use some native gtk method instead)

2004-03-24  Angus Leeming  <leeming@lyx.org>

	* GMenubar.C (submenuDisabled, onSubMenuActivate): compile fixes
	due to the changes in FuncStatus.

	* GToolbar.C (update): ditto.

	* lyx_gui.C (start): remove code to order buffers as it no longer
	compiles and none of the other frontends do this anymore.

2004-03-17  Angus Leeming  <leeming@lyx.org>

	* Makefile.am: remove mention of the forks dialog.

2004-02-09  Huang Ying <hying_caritas@163.com>

	* GXpmBtnTbl.C : add a GXpmBtnTbl class to automate creating a Xpm
	Button Table according to a set of xpm data or xbm data, is equivalent
	with bmtable in xforms frontend.
	* GMathPanel.C : revise using GXpmBtnTbl.
	* gimages : a directory for xpm used in gtk frontend only.
	* GMathDelim.C : math delimiter dialog.

2004-02-07  Huang Ying <hying_caritas@163.com>

	* GViewBase.C : add addCancel, addOK, addApply, add Restore to
	facilitate setup buttons signal.
	* GAboutLyx.C : using addxxx series functions.
	* GTableCreate.C : using addxxx series functions.
	* GText.C : using addxxx series functions.
	* GUrl.C : using addxxx series functions.

2004-02-02  Huang Ying <hying_caritas@163.com>

	* GAboutLyx.C : the "CREDITS" is in "ISO8859-1" charset not locale
	charset, so change the convert function from Glib::locale_to_utf8
	to Glib::convert(credit, "UTF-8", "ISO8859-1").

2003-12-20  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* Dialogs.C:
	* Makefile.am: remove vclog (compile fix)

2003-12-14  Michael Schmitt  <michael.schmitt@teststep.org>

	* Dialogs.C:
	* Makefile.am: remove minipage

2003-10-30  Huang Ying  <hying_caritas@163.com>

	* GToolbar.C : change layouts widget update code according xforms
	fronetends to prevent layouts widget from disable always.

2003-10-28  Huang Ying  <hying_caritas@163.com>

        * codeConvert.h (etc): Change FcChar to XftChar according to the libxft
        interface changing.
	* FileDialogPrivate.C : get rid of button support in FileDialog
	because of the implementation of Gtk::FileSelection changed.
        * glade/.cvsignore : add *.gladep, which is generated during editing
        *.galde
	* Add MathPanel, TableCreate and Url dialog

2003-10-15  José Matos  <jamatos@lyx.org>

	* lyx_gui.C (start): add lyxsocket.
	(LyX_XErrHandler): fix call to emergencyCleanup.

2003-10-14  Angus Leeming  <leeming@lyx.org>

	* lyx_gui.C (start): store the LyXView in the LyX list of all LyXViews.

2003-10-13  José Matos  <jamatos@lyx.org>

	* lyx_gui.C (set_datasocket_callback, set_serversocket_callback,
	remove_datasocket_callback, remove_serversocket_callback):
	prefix those fucntions with lyx_gui:: to link correctly.

	* lyx_gui.C (start): fix call to dispatch.

2003-10-13  Angus Leeming  <leeming@lyx.org>

	* lyx_gui.C (set_datasocket_callback, set_serversocket_callback,
	remove_datasocket_callback, remove_serversocket_callback):
	placeholder functions, enabling the frontend to be linked.

2003-10-08  Angus Leeming  <leeming@lyx.org>

	Fix doxygen warnings.

	* Alert_pimpl.C: \file Alert_pimpl.C -> \file gtk/Alert_pimpl.C
	* FileDialog.C: \file FileDialog.C -> \file gtk/FileDialog.C
	* GView.C: \file GView.C -> \file gtk/GView.C
	* GView.h: \file GView.h -> \file gtk/GView.h

2003-09-21  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* GToolbar.C (add): Make it take a ToobarBackend::Item as arg,
	adjust.
	(onButtonClicked): take a FuncRequest
	(update): adjust

	* GMenubar.C (submenuDisabled): pass FuncRequest to getStatus.
	(onSubMenuActivate): ditto
	(onCommandActivate): pass MenuItem::func to dispatch

	* LyXKeySymFactory.C (create): fix new bug

	* GView.C (GView): fix new bug

	* GToolbar.C (add): fix new bug

2003-09-18  Angus Leeming  <leeming@lyx.org>

	* GPainter.C:
	* GPainter.h:
	* GWorkArea.C:
	* GWorkArea.h:
	* lyx_gui.C: rename EnumLColor as LColor_color.

2003-09-16  Angus Leeming  <leeming@lyx.org>

	* GScreen.[Ch] (workarea):
	* GWorkArea.[Ch] (~ColorCache, getColor, getXftColor, cacheColor,
	cacheXftColor, getPainter, workWidth, workHeight, xpos, ypos, getWindow,
	getDisplay, getPixmap, getGC, getColormap, getXftDraw, getColorHandler):
	move out-of-line.

2003-09-15  Angus Leeming  <leeming@lyx.org>

	* GPainter.C: add #include "LColor.h".
	* GPainter.[Ch] (setForeground, point, line, lines, rectangle, fillRectangle,
	fillPolygon, arc): pass EnumLColor args, rather than LColor::color ones.

	* GScreen.C:
	* GWorkArea.C: add #include "LColor.h".

	* GWorkArea.h: remove #include "LColor.h".
	change typedefs to take an EnumLColor arg rather than an LColor::color one.

	* GWorkArea.h (getColor, getXftColor, cacheColor, cacheXftColor):
	* GWorkArea.[Ch] (getXftColor, getGdkColor): pass EnumLColor args, rather
	than LColor::color ones.

	* lyx_gui.C (hexname, update_color): pass EnumLColor args, rather
	than LColor::color ones.

2003-09-10  Angus Leeming  <leeming@lyx.org>

	* GToolbar.C (onLayoutSelected): missed a change from a call to the
	Buffer::params member variable to the Buffer::params() function.

2003-09-09  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* GPainter.C: change Assert to BOOST_ASSERT

2003-09-08  Angus Leeming  <leeming@lyx.org>

	* GPainter.h: do not #include <config.h> in header files.

2003-09-02  Angus Leeming  <leeming@lyx.org>

	* .cvsignore:
	* glade/.cvsignore: new files.

2003-09-02  Angus Leeming  <leeming@lyx.org>

	* all files: standard-conformant header blurbs.

2003-09-02  Huang Ying  <hying_caritas@163.com>

	* initial release
